Bug 135667 - FILESAVE DOCX OLE object border settings not exported
Summary: FILESAVE DOCX OLE object border settings not exported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2020-08-12 13:01 UTC by NISZ LibreOffice Team
Modified: 2020-09-18 07:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer (28.01 KB, application/vnd.oasis.opendocument.text)
2020-08-12 13:01 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (14.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-12 13:01 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Word and Writer (149.96 KB, image/png)
2020-08-12 13:02 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-12 13:01:28 UTC
Created attachment 164205 [details]
Example file from Writer

Attached document contains an OLE-object with border line properties set: red, dotted, 2pt wide lines.
When this is saved as DOCX and opened in Word, there are default line settings displayed: black, continous, 0.75 pt wide line without a style setting, which makes it completely disappear.

Steps to reproduce:
    1. Open attached file and save it as DOCX
    2. Open the resulting file in Word

Actual results:
OLE object has no border. Properties dialog shows some incorrect settings though.

Expected results:
The line properties set in the Borders dialog applied in DOCX.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-08-12 13:01:51 UTC
Created attachment 164206 [details]
The original file saved by Writer
Comment 2 NISZ LibreOffice Team 2020-08-12 13:02:07 UTC
Created attachment 164207 [details]
Screenshot of the original and exported document side by side in Word and Writer
Comment 3 Commit Notification 2020-09-11 15:27:46 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/65bc6e12ef8a681ec4597635d0b3d86e9ac355d3

tdf#135667 DOCX export: fix border line of OLE objects

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.